/*Fonts*/

@import url('https://fonts.cdnfonts.com/css/chalkduster');
@import url('https://fonts.cdnfonts.com/css/lato');

/*Body Style*/

body {
	font-size: 12pt;
	font-family: 'Lato', Arial, Helvetica, sans-serif;
	color: black;
	line-height: 14pt;
	padding-left: 5pt;
	padding-right: 5pt;
	padding-top: 5pt;
	/*Image by Andrew Filer via [https://commons.wikimedia.org/wiki/File:Gross,_Nebraska_(8114885579).jpg]  Creative Commons Attribution-Share Alike 2.0 Generic (copyright-free)*/
	background-image: url("images/ne-background.jpeg");
	background-repeat: no-repeat;
	background-color: rgb(81, 142, 207);
	background-attachment: fixed;
	background-position: center;
}

#footer-group {
	text-align: center;
	background-color: rgb(255, 0, 0, 0.8);
	padding: 10px 10px 10px 10px;
	box-shadow: 6px 6px 10px #000000;
	position: absolute;
	top: 100%;
}

#footer-one {
	text-align: center;
	background-color: rgb(255, 0, 0, 0.8);
	padding: 10px 10px 10px 10px;
	box-shadow: 6px 6px 10px #000000;
	position: absolute;
	top: 90%;
}


/*Header Style*/

h1 {
	font-family: 'Chalkduster', sans-serif;
	font-weight: bold;
	line-height: 25pt;
	font-size: 40px;
	text-shadow: 2px 2px 4px beige;
}

h2 {
	font: 12pt 'Chalkduster', sans-serif;
	font-weight: bold;
	line-height: 10pt;
}


/*Anchor Styles*/

a {
	text-decoration: none;
}

a:link,
a:visited {
	color: #1943cc;
}

a:hover,
a:active {
	color: #FF9933;
}


/*Main Style across all pages "header"*/

.top-banner {
	text-align: center;
	background-color: rgb(255, 0, 0, 0.7);
	padding: 10px;
	box-shadow: 6px 6px 10px #000000;
}

.nav-bar {
	text-align: center;
	margin-top: 30px;
}

#welcome {
	text-align: center;
	margin: 15px;
	font-size: 30px;
}

#welcome-1 {
	text-align: center;
	margin: 40px;
	font-size: 30px;
}


/*Banner Image Styles*/

#running-right {
	float: left;
	border: solid black;
	box-shadow: 6px 6px 10px #000000;
	width: 125px;
	height: 80px;
}

#running-left {
	float: right;
	border: solid black;
	box-shadow: 6px 6px 10px #000000;
	width: 115px;
	height: 80px;
}


/*Main page image Style*/

#forest-runner {
	float: left;
	border: solid black;
	margin-right: 25px;
	margin-left: 25px;
	width: 400px;
	height: 300px;
}


/*Main page text-box Style*/

.opening-welcome {
	margin-top: 100px;
	background-color: rgb(15, 37, 110, 0.8);
	color: white;
	border: 1px solid black;
	width: 50%;
	line-height: 20px;
	display: flex;
	justify-content: flex-start;
	padding-left: 20px;
	padding-right: 20px;
}


/*Location page text-box Style*/

.location-welcome {
	margin-top: 100px;
	margin-left: 25px;
	background-color: rgb(15, 37, 110, 0.8);
	color: white;
	border: 1px solid black;
	width: 52%;
	line-height: 20px;
	display: flex;
	justify-content: flex-start;
	padding: 0px 20px 0px 20px;
}


/*Map grid Style*/

.gallery {
	display: grid;
	grid-template-columns: 0fr 1fr;
	grid-row-gap: 10px;
	grid-column-gap: 10px;
	float: right;
	margin-right: 150px;
}


/*Map image border Style*/

#map1,
#map2,
#map3,
#map4 {
	border: solid black;
	height: 180px;
	width: 180px;
}


/*5k page text-box Style*/

.fivek-welcome {
	margin: auto;
	background-color: rgb(15, 37, 110, 0.8);
	color: white;
	border: 1px solid black;
	width: 35%;
	line-height: 20px;
	display: flex;
	padding: 0px 10px 0px 10px;
	margin-bottom: 50px;
}


/*5k page image Style*/

.fivek-runners {
	display: block;
	margin: auto;
	height: 220px;
	border: 2px solid black;
	box-shadow: 6px 6px 10px #000000;
}


/*Upcoming 5k text-box Style*/

.upcoming-five {
	float: left;
	margin: 40px 0px 0px 0px;
	background-color: rgba(228, 236, 235, 0.7);
	border: 1px solid black;
	width: 26%;
	padding: 0px 15px 0px 5px;
}


/*Upcoming long-distance text-box Style*/

.upcoming-long {
	float: right;
	margin: 40px 0px 0px 0px;
	background-color: rgba(228, 236, 235, 0.7);
	border: 1px solid black;
	width: 25%;
}

#long-list,
#five-list {
	font-size: 30px;
	text-align: center;
}


/*Under order list lineheight style*/

ul {
	line-height: 25px;
}


/*Groups page text-box Style*/

.groups-welcome {
	display: block;
	margin: auto;
	line-height: 20px;
	background-color: rgb(15, 37, 110, 0.8);
	color: white;
	border: 1px solid black;
	width: 36%;
	padding: 0px 25px 0px 25px;
}


/*Sign-up text-box Style*/

.signup-welcome {
	margin: auto;
	background-color: rgb(15, 37, 110, 0.8);
	border: 1px solid black;
	width: 37%;
	line-height: 20px;
	color: white;
	display: flex;
	justify-content: flex-start;
	padding: 0px 10px 0px 10px;
}

.signup-form {
	padding-top: 25px;
}


/*Shadow effect pulled using JS*/

.shade {
	box-shadow: 6px 6px 10px #000000;
}


/*Group list text-box Style*/

#groups-list {
	background-color: rgb(255, 0, 0, 0.7);
	color: white;
	border: 1px solid black;
	width: 35%;
	line-height: 20px;
	padding: 5px;
	margin-top: 100px;
	float: left;
	margin-left: 125px;
}

thead {
	text-align: center;
	font-size: 25px;
	text-decoration: underline;
	color: black;
}

td {
	text-align: center;
}


/*Group page images grid Styles*/

.gallery-2 {
	display: grid;
	grid-template-columns: 0fr 1fr;
	grid-row-gap: 10px;
	float: right;
	margin-top: 25px;
	margin-bottom: 20px;
}

#om-trk,
#oma-run,
#rrca {
	height: 150px;
}

.om-trk {
	grid-column-start: 1;
	grid-column-end: 2;
	border: 1px solid #000000;
	box-shadow: 6px 6px 10px #000000;
}

.lincoln-trk {
	grid-column-start: 1;
	grid-column-end: 2;
	border: 1px solid #000000;
	height: 50px;
	box-shadow: 6px 6px 10px #000000;
}

.fleet {
	grid-column-start: 1;
	grid-column-end: 2;
	border: 1px solid #000000;
	height: 75px;
	box-shadow: 6px 6px 10px #000000;
}

.rrca {
	grid-column-start: 2;
	grid-column-end: 3;
	margin-top: -75px;
	border: 1px solid #000000;
	box-shadow: 6px 6px 10px #000000;
}

.oma-run {
	grid-column-start: 2;
	grid-column-end: 3;
}


/*Form/Sign-up style*/

.mainContent {
	width: 450px;
	height: 145px;
	padding-bottom: 15px;
	border: 1px solid;
	display: block;
	margin: auto;
	box-shadow: 5px 5px 10px;
	background-color: rgb(255, 0, 0, 0.7);
}

.secLabel {
	height: 10px;
	width: 125px;
	margin: 5px;
	float: left;
}

.secInfo {
	height: 15px;
	width: 240px;
	margin: 5px;
	float: left;
}

.handle {
	float: left;
	width: 140px;
	text-align: left;
}

.secButton {
	height: 10px;
	width: 400px;
	display: block;
	margin: auto;
	text-align: center;
}

.button {
	background-color: #FFC627;
	border: black;
	color: #8C1D40;
	padding: 15px 30px;
	text-align: center;
	display: inline-block;
	font-size: 15px;
	margin: 18px;
	cursor: pointer;
	-webkit-transition-duration: 0.3s;
	transition-duration: 0.3s;
}

.firstNameErr {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 125px;
	margin: 5px 5px;
	float: left;
}

.firstNameErr2 {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 240px;
	margin: 5px 5px;
	float: left;
}

.lastNameErr {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 125px;
	margin: 5px 5px;
	float: left;
}

.lastNameErr2 {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 240px;
	margin: 5px 5px;
	float: left;
}

.emailErr {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 125px;
	margin: 5px 5px;
	float: left;
}

.emailErr2 {
	display: none;
	color: white;
	font-weight: bold;
	height: 10px;
	width: 260px;
	margin: 5px 5px;
	float: left;
}


/*Success page after successful sign up style*/

.success-div {
	font-family: 'Chalkduster', sans-serif;
	font-size: 30px;
	color: white;
	text-align: center;
	background-color: rgb(255, 0, 0, 0.7);
	width: 54%;
	display: block;
	margin: auto;
	padding: 1px 10px 1px 10px;
	margin-top: 20px;
	border: 1px solid black;
	box-shadow: 5px 5px 10px black;
}


/*Finish Line image on success page*/

.finish-line {
	display: block;
	margin: auto;
	height: 220px;
}


/*Align links and images in grid*/

#img-om-trk,
#img-fleet {
	text-align: center;
}